
var tabListDisposition = [{ tabName: '1', name: '选择操作', success: false, }, { tabName: '2', name: '配置', success: false },]

var tabListAction = [{ tabName: '1', name: '选择应用', success: false }, { tabName: '2', name: '选择操作', success: false }, { tabName: '3', name: '选择账号', success: false }, { tabName: '4', name: '配置', success: false }, { tabName: '5', name: '输出', success: false },]

var stepAdd = { icon: '', title: '触发条件', actionName: '平台触发配置', content: '请选择触发操作' }

var stepUse = { icon: '', title: '执行操作', actionName: '请选择执行操作', content: '请选择动作', }

var timeDivide = [
	{
		id: 1,
		title: "秒级",
		content: "用户可使用 cron 表达式自定义时间执行",
	},
	{
		id: 2,
		title: "分钟级",
		content: "用户可使用 cron 表达式自定义时间执行",
	},
	{
		id: 3,
		title: "小时级",
		content: "按设定的周期时间开始执行，如每月 x 执行一次",
	},
	{
		id: 4,
		title: "天级",
		content: "按设定的时间间隔开始执行，如间隔 x 小时执行一次",
	},
]
var representationData = [
	{
		id: 1,
		label: "字符串函数",
		children: [
			{
				label: "concat",
				value: "将任意数量的字符串拼接到一起",
			},
			{
				label: "replaceFirst",
				value: "用给定的字符串替换字符串中的第一个",
			},
			{
				label: "replaceAll",
				value: "用给定的字符串替换字符串中所有匹配上的字符串",
			},
			{
				label: "format",
				value: "使用指定的格式字符串和参数返回一个格式化字符串",
			},
			{
				label: "startsWith",
				value: "判断字符串是否是以指定的字符串开始",
			},
			{
				label: "endsWith",
				value: "判断字符串是否是以指定的字符串结束",
			},
			{
				label: "equals",
				value: "判断两个字符串是否相等",
			},
			{
				label: "equalsIgnoreCase",
				value: "判断两个字符串是否相等(忽略大小写)",
			},
			{
				label: "contains",
				value: "判断字符串是否包含指定的字符串",
			},
			{
				label: "indexOf",
				value: "查询指定字符串在字符串中的第一次出现的位置",
			},
			{
				label: "substring",
				value: "截取指定位置字符串，end不指定时表示到字符串末尾，从0开始",
			},
			{
				label: "split",
				value: "按分割符分割字符串",
			},
			{
				label: "md5",
				value: "MD5加密",
			},
			{
				label: "upperCase",
				value: "英文字符串转大写",
			},
			{
				label: "lowerCase",
				value: "英文字符串转小写",
			},
		]
	},
	{
		id: 2,
		label: "JSON函数",
		children: [
			{
				label: "toString",
				value: "将JSON转化为字符串输出",
			},
			{
				label: "parseObject",
				value: "将字符串转化为JSON输出",
			},
		]
	},
	{
		id: 3,
		label: "数学计算",
		children: [
			{
				label: "add",
				value: "计算两个数据的和",
			},
			{
				label: "addWithScale",
				value: "计算两个数据的和(指定精度)",
			},
			{
				label: "subtract",
				value: "计算两个数据的差",
			},
			{
				label: "subtractWithScale",
				value: "计算两个数据的差(指定精度)",
			},
			{
				label: "multiply",
				value: "计算两个数据的积",
			},
			{
				label: "multiplyWithScale",
				value: "计算两个数据的积(指定精度)",
			},
			{
				label: "divide",
				value: "计算两个数据的商",
			},
			{
				label: "divideWithScale",
				value: "计算两个数据的商(指定精度)",
			},
			{
				label: "modly",
				value: "取两个数据的余数",
			},
			{
				label: "abs",
				value: "计算数据绝对值",
			},
			{
				label: "greaterThan",
				value: "判断数据1是否大于数据2",
			},
			{
				label: "greaterThanOrEqual",
				value: "判断数据1是否大于等于数据2",
			},
			{
				label: "lessThan",
				value: "判断数据1是否小于数据2",
			},
			{
				label: "lessThanOrEqual",
				value: "判断数据1是否小于等于数据2",
			},
			{
				label: "equals",
				value: "判断数据1是否等于数据2",
			},
			{
				label: "notEqual",
				value: "判断数据1是否不等于数据2",
			},
		]
	},
]

export { tabListDisposition, tabListAction, stepAdd, stepUse, timeDivide,representationData }
