/**
 * @desc 项目分类
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: '项目分类名称',
    prop: 'name'
  }
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: '项目分类名称',
      prop: 'name',
      tag: 'elInput',
      span: 24
    }]
  },
]

const basicsRules = {
  name: [{
    required: true,
    message: '请输入项目分类名称',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '项目分类名称',
      prop: 'name',
      tag: 'elLook',
      span: 24
    }]
  },
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
}
